package com.ruoyi.ss.deviceSuit.service;

import com.ruoyi.ss.device.domain.DeviceBO;
import com.ruoyi.ss.device.domain.dto.DeviceRegisterDTO;
import com.ruoyi.ss.deviceSuit.domain.DeviceSuit;
import com.ruoyi.ss.suit.domain.SuitBO;

import java.util.List;

/**
 * @author wjh
 * 2024/7/31
 */
public interface DeviceSuitConverter {


    /**
     * 套餐转为设备套餐关联PO
     */
    List<DeviceSuit> toPo(SuitBO suit);

    /**
     * 设备转为设备套餐关联PO
     */
    List<DeviceSuit> toPo(DeviceBO device);

    /**
     * 注册时，转为PO
     */
    DeviceBO toBOByRegister(DeviceRegisterDTO dto);
}
